return function(page, offset, screen_width, screen_height)
    local percent = offset/page.width
    local angle = percent*math.pi*2

    page:translate( offset )
    
    if( percent < 0 ) then
        page.alpha = 0
    elseif( percent < 0.3 ) then
        page:rotate( -angle )
    elseif( percent < 0.5 ) then
        page:rotate( -0.3*math.pi*2 )
    else
        page:rotate( -0.3*math.pi*2 )
        page:scale( 1-(percent-0.5)/0.5 )
    end
end
